Skip to main content
GET
/
v5
/
accounting
/
manualJournalEntries
Get manual journal entries
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/accounting/manualJournalEntries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "description": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "transactions": [
        {
          "glAccountId": 123,
          "drAmount": 123,
          "crAmount": 123
        }
      ],
      "id": 123,
      "entryDate": "2023-11-07T05:31:56Z",
      "frequency": "ONE_TIME",
      "isParent": true,
      "recurringParentId": 123,
      "apiEntryId": "<string>"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records updated after the specified date. Null returns all data

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all entries.

beginDate
string

Begin date filter - returns all records with a date after the specified date.

endDate
string

End date filter - returns all records with a date before the specified date.

includeRecurringParents
boolean
default:true

Whether recurring parent journal entries should be included in the response

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate